camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Test issue with camel-itest-karaf due slf4j constraint
Date Sun, 29 May 2011 09:57:46 GMT
Thanks for the update Claus,

I'm gonna take a look on that.

Regards
JB

On 05/29/2011 11:49 AM, Claus Ibsen wrote:
> Hi
>
> We have an issue when running the tests in camel-itest-karaf.
>
> It outputs a constraint issue with slf4j and whatnot
>
> It could be due the new karaf command for Camel may cause a problem.
> But nevertheless any osgi diggers may wanna help out and take a look.
>
> To reproduce run
>      mvn clean install
>
> from the
>      tests/camel-itest-karaf
> directory
>
>
>
> [org.ops4j.pax.swissbox.extender.BundleWatcher] : Scanning bundle
> [org.apache.servicemix.bundles.jaxb-impl]
> org.osgi.framework.BundleException: Unresolved constraint in bundle
> org.apache.camel.camel-core [38]: Unable to resolve 38.0: missing
> requirement [38.0] package;
> (&(package=org.slf4j)(version>=1.6.0)(!(version>=2.0.0)))
> 	at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3404)
> 	at org.apache.felix.framework.Felix.startBundle(Felix.java:1714)
> 	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1143)
> 	at org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:264)
> 	at java.lang.Thread.run(Thread.java:680)
> org.osgi.framework.BundleException: Unresolved constraint in bundle
> org.apache.camel.karaf.camel-karaf-commands [39]: Unable to resolve
> 39.0: missing requirement [39.0] package;
> (&(package=jline.console.completer)(version>=2.5.0)(!(version>=3.0.0)))
> 	at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3404)
> 	at org.apache.felix.framework.Felix.startBundle(Felix.java:1714)
> 	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1143)
> 	at org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:264)
> 	at java.lang.Thread.run(Thread.java:680)
> org.osgi.framework.BundleException: Unresolved constraint in bundle
> org.apache.camel.camel-spring [42]: Unable to resolve 42.0: missing
> requirement [42.0] package;
> (&(package=org.apache.camel)(version>=2.8.0)(!(version>=2.8.1)))
> [caused by: Unable to resolve 38.0: missing requirement [38.0]
> package; (&(package=org.slf4j)(version>=1.6.0)(!(version>=2.0.0)))]
> 	at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3404)
> 	at org.apache.felix.framework.Felix.startBundle(Felix.java:1714)
> 	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1143)
> 	at org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:264)
> 	at java.lang.Thread.run(Thread.java:680)
> org.osgi.framework.BundleException: Unresolved constraint in bundle
> org.apache.camel.camel-jms [46]: Unable to resolve 46.0: missing
> requirement [46.0] package;
> (&(package=org.apache.camel)(version>=2.8.0)(!(version>=2.9.0)))
> [caused by: Unable to resolve 38.0: missing requirement [38.0]
> package; (&(package=org.slf4j)(version>=1.6.0)(!(version>=2.0.0)))]
> 	at org.apache.felix.framework.Felix.resolveBundle(Felix.java:3404)
> 	at org.apache.felix.framework.Felix.startBundle(Felix.java:1714)
> 	at org.apache.felix.framework.Felix.setActiveStartLevel(Felix.java:1143)
> 	at org.apache.felix.framework.StartLevelImpl.run(StartLevelImpl.java:264)
> 	at java.lang.Thread.run(Thread.java:680)
>
>
>

Mime
View raw message